import TextField from "@mui/material/TextField";
import { EditableValue } from "./EditableValue";
import { exitToFrontExpiration } from "./state";
import { refreshcalendarExitPriceChartData } from "./actions";

const handleExitToFrontExpirationChange = (e) => {
  if (exitToFrontExpiration.value !== Number.parseInt(e.target.value)) {
    exitToFrontExpiration.value = Number.parseInt(e.target.value);
    refreshcalendarExitPriceChartData();
  }
};

function ExitToFrontExpirationChooser() {
  return (
    <TextField
      fullWidth
      label="Exit-to-Front-Month Days to Expiration"
      type="number"
      value={exitToFrontExpiration.value}
      onChange={handleExitToFrontExpirationChange}
      InputProps={{ endAdornment: "Days" }}
    />
  );
}

export function EditableExitToFrontExpiration() {
  return (
    <EditableValue text={exitToFrontExpiration.value}>
      <ExitToFrontExpirationChooser />
    </EditableValue>
  );
}
