import Select from "@mui/material/Select";
import { EditableValue } from "./EditableValue";
import { availableUnderlyings, underlying } from "./state";
import MenuItem from "@mui/material/MenuItem";
import {
  refreshcalendarExitPriceChartData,
  refreshSimilarCalendarPriceChartData,
  refreshStockPriceChartData,
} from "./actions";

const handleUnderlyingChange = (e) => {
  if (underlying.value !== e.target.value) {
    underlying.value = e.target.value;
    refreshStockPriceChartData();
    refreshSimilarCalendarPriceChartData();
    refreshcalendarExitPriceChartData();
  }
};

function UnderlyingChooser() {
  return (
    <Select
      value={underlying.value || ""}
      onChange={handleUnderlyingChange}
      label="Available Underlyings"
    >
      {availableUnderlyings.value.map((underlying) => (
        <MenuItem key={underlying} value={underlying}>
          {underlying}
        </MenuItem>
      ))}
    </Select>
  );
}

export function EditableUnderlying() {
  return (
    <EditableValue text={underlying.value}>
      <UnderlyingChooser />
    </EditableValue>
  );
}
