import Button from "@mui/material/Button";
import { isPopperOpen, popperAnchorEl, popperContent } from "./state";

export function EditableValue({ text, children }) {
  return (
    <Button
      variant="text"
      size="large"
      sx={{
        textDecoration: "underline",
        textUnderlineOffset: "3px",
        fontSize: "1.0em",
      }}
      onClick={(e) => {
        // stop propagation so it's not caught by the ClickAwayListener:
        e.stopPropagation();
        if (isPopperOpen.value === false) {
          isPopperOpen.value = true;
          popperAnchorEl.value = e.currentTarget;
          popperContent.value = children;
        } else {
          isPopperOpen.value = false;
        }
      }}
    >
      {text}
    </Button>
  );
}
